xbt problem can not make it

  • 13 Replies
  • 3367 Views
*

Offline Q8Hma

  • ****
  • 77
  • +0/-0
  • Developer Under Maintenance
xbt problem can not make it
« on: February 17, 2016, 08:21:18 am »
Hello

i want to compile xbtt but it show errors

full error code on this sites

https://justpaste.it/rgbv
miror 1 : http://textuploader.com/5267v
miror 2 : http://pastebin.ca/3375322

any help ??

*

Offline King Cobra

  • XBTIT Maintainer / Developer
  • *****
  • 529
  • +0/-0
  • xbtitFM Administrator
Re: xbt problem can not make it
« Reply #1 on: February 17, 2016, 10:44:34 am »
what xbt revision are you trying to compile?
what svn subversion is installed on your host?
what OS is your server running on?

*

Offline Q8Hma

  • ****
  • 77
  • +0/-0
  • Developer Under Maintenance
Re: xbt problem can not make it
« Reply #2 on: February 17, 2016, 05:41:41 pm »
what xbt revision are you trying to compile?
what svn subversion is installed on your host?
what OS is your server running on?
Hello
xbt is revision 2494
svn, version 1.6.11 (r934486)
OS CentOS release 6.7 (Final)

i try pure one but still i got this error
cc1plus: error: unrecognized command line option "-std=c++11"
but i change the first line to
g++ [email protected] -DEPOLL -DNDEBUG -I ../misc -I . -O3 -o xbt_tracker -std=c++0x \
and got same error on the first post
« Last Edit: February 17, 2016, 05:50:30 pm by HMD »

*

Offline King Cobra

  • XBTIT Maintainer / Developer
  • *****
  • 529
  • +0/-0
  • xbtitFM Administrator
Re: xbt problem can not make it
« Reply #3 on: February 17, 2016, 10:30:27 pm »
well try upgrading the svn subversion to at least 1.7.x or better it won't compile on 1.6.11 if it still won't with svn 1.7.x then you need to use xbt revision 2389

you can find out what version of  GCC you have
gcc --version
May say: gcc (GCC) 4.4.7 20120313 (Red Hat 4.4.7-16)

g++ --version
May say: g++ (GCC) 4.4.7 20120313 (Red Hat 4.4.7-16)
« Last Edit: February 18, 2016, 03:08:38 am by King Cobra »

*

Offline King Cobra

  • XBTIT Maintainer / Developer
  • *****
  • 529
  • +0/-0
  • xbtitFM Administrator
Re: xbt problem can not make it
« Reply #4 on: February 18, 2016, 01:04:48 pm »
if you can't get the revision 2494 compiled i think i have found out what you need to do but it will take up to 6 hrs. to upgrade the gcc so that the 2494 can be compiled

*

Offline Q8Hma

  • ****
  • 77
  • +0/-0
  • Developer Under Maintenance
Re: xbt problem can not make it
« Reply #5 on: February 18, 2016, 04:56:59 pm »
well try upgrading the svn subversion to at least 1.7.x or better it won't compile on 1.6.11 if it still won't with svn 1.7.x then you need to use xbt revision 2389

you can find out what version of  GCC you have
gcc --version
May say: gcc (GCC) 4.4.7 20120313 (Red Hat 4.4.7-16)

g++ --version
May say: g++ (GCC) 4.4.7 20120313 (Red Hat 4.4.7-16)

thnx for ur help it work now but how can i make to torrent support (down_multi, up_multi,down_rate,upload_rate) and user support (peers_limit,vip)
from https://github.com/torrentpier/torrentpier and https://xbtitdeveloping.nl/index.php?topic=630.0

any help ??

*

Offline Q8Hma

  • ****
  • 77
  • +0/-0
  • Developer Under Maintenance
Re: xbt problem can not make it
« Reply #6 on: February 18, 2016, 05:47:44 pm »
new error when i seed i got this msg "Tracker has not seen this torrent."

*

Offline Q8Hma

  • ****
  • 77
  • +0/-0
  • Developer Under Maintenance
Re: xbt problem can not make it
« Reply #7 on: February 19, 2016, 07:04:10 pm »
if you can't get the revision 2494 compiled i think i have found out what you need to do but it will take up to 6 hrs. to upgrade the gcc so that the 2494 can be compiled
if i have 4.8.2 will help ??
gcc (GCC) 4.8.2 20140120 (Red Hat 4.8.2-15)
g++ (GCC) 4.8.2 20140120 (Red Hat 4.8.2-15)


or need more upgrade ??

*

Offline King Cobra

  • XBTIT Maintainer / Developer
  • *****
  • 529
  • +0/-0
  • xbtitFM Administrator
Re: xbt problem can not make it
« Reply #8 on: February 19, 2016, 07:28:09 pm »
if i have 4.8.2 will help ??
gcc (GCC) 4.8.2 20140120 (Red Hat 4.8.2-15)
g++ (GCC) 4.8.2 20140120 (Red Hat 4.8.2-15)


or need more upgrade ??
that should be fine
did you get the svn subversion upgraded to 1.7.x or better?
find the svn subversion in terminal with
svn --version
you will see something like this
Code: [Select]
svn, version 1.8.15 (r1718365)
   compiled Dec  8 2015, 17:04:40 on i686-pc-linux-gnu

Copyright (C) 2015 The Apache Software Foundation.
This software consists of contributions made by many people;
see the NOTICE file for more information.
Subversion is open source software, see http://subversion.apache.org/

The following repository access (RA) modules are available:

* ra_svn : Module for accessing a repository using the svn network protocol.
  - with Cyrus SASL authentication
  - handles 'svn' scheme
* ra_local : Module for accessing a repository on local disk.
  - handles 'file' scheme
* ra_serf : Module for accessing a repository via WebDAV protocol using serf.
  - using serf 1.3.7
  - handles 'http' scheme
  - handles 'https' scheme

*

Offline Q8Hma

  • ****
  • 77
  • +0/-0
  • Developer Under Maintenance
Re: xbt problem can not make it
« Reply #9 on: February 20, 2016, 03:16:28 am »
svn, version 1.8.15 (r1718365)


*

Offline King Cobra

  • XBTIT Maintainer / Developer
  • *****
  • 529
  • +0/-0
  • xbtitFM Administrator
Re: xbt problem can not make it
« Reply #10 on: February 20, 2016, 12:51:26 pm »
what xbt revision did you get to compile 2494 or 2389?

*

Offline Q8Hma

  • ****
  • 77
  • +0/-0
  • Developer Under Maintenance
Re: xbt problem can not make it
« Reply #11 on: February 20, 2016, 06:25:51 pm »
what xbt revision did you get to compile 2494 or 2389?
last rev (2494)

Re: xbt problem can not make it
« Reply #12 on: April 16, 2017, 06:21:08 pm »
I too am having problems with the make command for the newest xbt (from github)

My cpp, gcc, g++, and svn versions are as follows (all updated from older versions):

Code: [Select]
[[email protected] ~]$ cpp --version
cpp (GCC) 4.9.4
Copyright (C) 2015 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

[[email protected] ~]$ gcc --version
gcc (GCC) 4.9.4
Copyright (C) 2015 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

[[email protected] ~]$ g++ --version
g++ (GCC) 4.9.4
Copyright (C) 2015 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

[[email protected] ~]$ svn --version
svn, version 1.7.8 (r1419691)
   compiled Apr 15 2017, 19:22:04

Copyright (C) 2012 The Apache Software Foundation.
This software consists of contributions made by many people; see the NOTICE
file for more information.
Subversion is open source software, see http://subversion.apache.org/

The following repository access (RA) modules are available:

* ra_svn : Module for accessing a repository using the svn network protocol.
  - handles 'svn' scheme
* ra_local : Module for accessing a repository on local disk.
  - handles 'file' scheme



From the research I've seen, having the above versions exceeds the minimum requirement to process the commands. I still receive errors.

The commands go as follows:

Code: [Select]
git clone https://github.com/OlafvdSpek/xbt
cd xbt/Tracker
cmake .
above processed successfully

Code: [Select]
makeproduces the following error

Code: [Select]
[  7%] Building CXX object CMakeFiles/xbt_tracker.dir/home/site/xbt/misc/bt_misc.o
cc1plus: error: unrecognized command line option "-std=c++11"
make[2]: *** [CMakeFiles/xbt_tracker.dir/home/site/xbt/misc/bt_misc.o] Error 1
make[1]: *** [CMakeFiles/xbt_tracker.dir/all] Error 2
make: *** [all] Error 2

I'm not sure what other dependencies are required to compile the tracker, as the documentation is now very limited.

Anything I might be missing?

Dedicated server details as follows:
  • CentOS 6.8, WHM, cPanel
  • XBTIT 2.5.4
  • Apache 2.4
  • PHP 5.6
  • MySQL 5.0.11
 
Willing to give revision 2389 a try, but unable to find it for download.
Thanks as always!!

[email protected]

*

Offline numbvox

  • **
  • 6
  • +0/-0
Re: xbt problem can not make it
« Reply #13 on: December 07, 2017, 04:44:23 am »
Did you ever find a solution to your issue [email protected]?

 


Powered by EzPortal